> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /tag/:uid/config

> Fetches the list of configs under the given publisher



## OpenAPI

````yaml /openapi.json get /v1/tag/{uid}/config
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/tag/{uid}/config:
    get:
      tags:
        - Publisher/Config (Ad unit)
        - public
      summary: /tag/:uid/config
      description: Fetches the list of configs under the given publisher
      parameters:
        - name: uid
          in: path
          description: Publisher ID
          required: true
          example: 0
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        unit:
                          type: string
                        label:
                          type: string
                        revision:
                          type: integer
                        date_updated:
                          type: string
                        target:
                          type: string
                          nullable: true
                        target_conditional:
                          type: string
                        device_filter:
                          type: object
                          properties:
                            type:
                              type: string
                            matches:
                              type: array
                              items:
                                type: string
                          required:
                            - type
                            - matches
                        enabled:
                          type: boolean
                        browser_filter:
                          type: object
                          properties:
                            type:
                              type: string
                            matches:
                              type: array
                              items:
                                type: string
                          required:
                            - type
                            - matches
                        geo_filter:
                          type: object
                          properties:
                            type:
                              type: string
                            matches:
                              type: array
                              items:
                                type: string
                          required:
                            - type
                            - matches
                        region_filter:
                          type: object
                          properties:
                            type:
                              type: string
                            matches:
                              type: array
                              items:
                                type: string
                          required:
                            - type
                            - matches
                        audience_filter:
                          type: object
                          properties:
                            type:
                              type: string
                            matches:
                              type: array
                              items:
                                type: string
                          required:
                            - type
                            - matches
                        url_filter:
                          type: object
                          properties:
                            type:
                              type: string
                            matches:
                              type: array
                              items:
                                type: string
                          required:
                            - type
                            - matches
                        viewport_filter:
                          type: object
                          properties:
                            type:
                              type: string
                            matches:
                              type: array
                              items:
                                type: string
                          required:
                            - type
                            - matches
                        os_filter:
                          type: object
                          properties:
                            type:
                              type: string
                            matches:
                              type: array
                              items:
                                type: string
                          required:
                            - type
                            - matches
                        sizes:
                          type: object
                          properties:
                            desktop:
                              type: array
                              items:
                                type: string
                            mobile:
                              type: array
                              items:
                                type: string
                            tablet:
                              type: array
                              items:
                                type: string
                          required:
                            - desktop
                            - mobile
                            - tablet
                          nullable: true
                        start:
                          type: string
                          nullable: true
                        end:
                          type: string
                          nullable: true
                        experiments:
                          type: array
                          items:
                            type: integer
                        floors_model:
                          type: string
                        floor:
                          type: integer
                        refresh:
                          type: boolean
                          nullable: true
                        in_view:
                          type: boolean
                        custom_kvs:
                          type: object
                          properties: {}
                          nullable: true
                      required:
                        - id
                        - unit
                        - label
                        - revision
                        - date_updated
                        - target
                        - target_conditional
                        - device_filter
                        - enabled
                        - browser_filter
                        - geo_filter
                        - region_filter
                        - audience_filter
                        - url_filter
                        - viewport_filter
                        - os_filter
                        - sizes
                        - start
                        - end
                        - experiments
                        - floors_model
                        - floor
                        - refresh
                        - in_view
                        - custom_kvs
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  - id: 8388
                    unit: iab
                    label: MPU 1
                    revision: 10
                    date_updated: '2024-05-30 11:10:13'
                    target: '[position="mpu_mobile"][variant="1"]'
                    target_conditional: ''
                    device_filter:
                      type: include
                      matches: []
                    enabled: true
                    browser_filter:
                      type: include
                      matches: []
                    geo_filter:
                      type: include
                      matches: []
                    region_filter:
                      type: include
                      matches: []
                    audience_filter:
                      type: include
                      matches: []
                    url_filter:
                      matches:
                        - /my-account*
                      type: exclude
                    viewport_filter:
                      type: include
                      matches:
                        - ≤1422px
                    os_filter:
                      type: include
                      matches: []
                    sizes:
                      desktop:
                        - 200x200
                        - 250x250
                        - 300x250
                      mobile:
                        - 200x200
                        - 250x250
                        - 300x100
                        - 300x250
                        - 300x50
                      tablet:
                        - 200x200
                        - 250x250
                        - 300x250
                    start: null
                    end: null
                    experiments: []
                    floors_model: ci_dynamic
                    floor: 0
                    refresh: true
                    in_view: true
                    custom_kvs: null
                  - id: 8389
                    unit: iab
                    label: MPU 1 (OOV)
                    revision: 2
                    date_updated: '2024-06-05 16:21:16'
                    target: '[position="mpu_mobile"][variant="1"]'
                    target_conditional: ''
                    device_filter:
                      type: include
                      matches: []
                    enabled: false
                    browser_filter:
                      type: include
                      matches: []
                    geo_filter:
                      type: include
                      matches: []
                    region_filter:
                      type: include
                      matches: []
                    audience_filter:
                      type: include
                      matches: []
                    url_filter:
                      matches:
                        - /my-account*
                      type: exclude
                    viewport_filter:
                      type: include
                      matches:
                        - ≤1422px
                    os_filter:
                      type: include
                      matches: []
                    sizes:
                      desktop:
                        - 200x200
                        - 250x250
                        - 300x250
                      mobile:
                        - 200x200
                        - 250x250
                        - 300x100
                        - 300x250
                        - 300x50
                      tablet:
                        - 200x200
                        - 250x250
                        - 300x250
                    start: null
                    end: null
                    experiments: []
                    floors_model: ci_dynamic
                    floor: 0
                    refresh: true
                    in_view: false
                    custom_kvs: null
                  - id: 8390
                    unit: iab
                    label: MPU 2
                    revision: 10
                    date_updated: '2024-04-11 12:04:44'
                    target: '[position="mpu_mobile"][variant="2"]'
                    target_conditional: ''
                    device_filter:
                      type: include
                      matches: []
                    enabled: true
                    browser_filter:
                      type: include
                      matches: []
                    geo_filter:
                      type: include
                      matches: []
                    region_filter:
                      type: include
                      matches: []
                    audience_filter:
                      type: include
                      matches: []
                    url_filter:
                      matches:
                        - /my-account*
                      type: exclude
                    viewport_filter:
                      type: include
                      matches:
                        - ≤1422px
                    os_filter:
                      type: include
                      matches: []
                    sizes:
                      desktop:
                        - 200x200
                        - 250x250
                        - 300x250
                      mobile:
                        - 200x200
                        - 250x250
                        - 300x100
                        - 300x250
                        - 300x50
                      tablet:
                        - 200x200
                        - 250x250
                        - 300x250
                    start: null
                    end: null
                    experiments: []
                    floors_model: ci_dynamic
                    floor: 0
                    refresh: true
                    in_view: true
                    custom_kvs: null
                  - id: 8391
                    unit: iab
                    label: MPU 2 (OOV)
                    revision: 2
                    date_updated: '2024-05-30 12:00:49'
                    target: '[position="mpu_mobile"][variant="2"]'
                    target_conditional: ''
                    device_filter:
                      type: include
                      matches: []
                    enabled: false
                    browser_filter:
                      type: include
                      matches: []
                    geo_filter:
                      type: include
                      matches: []
                    region_filter:
                      type: include
                      matches: []
                    audience_filter:
                      type: include
                      matches: []
                    url_filter:
                      matches:
                        - /my-account*
                      type: exclude
                    viewport_filter:
                      type: include
                      matches:
                        - ≤1422px
                    os_filter:
                      type: include
                      matches: []
                    sizes:
                      desktop:
                        - 200x200
                        - 250x250
                        - 300x250
                      mobile:
                        - 200x200
                        - 250x250
                        - 300x100
                        - 300x250
                        - 300x50
                      tablet:
                        - 200x200
                        - 250x250
                        - 300x250
                    start: null
                    end: null
                    experiments: []
                    floors_model: ci_dynamic
                    floor: 0
                    refresh: true
                    in_view: false
                    custom_kvs: null
                  - id: 8392
                    unit: iab
                    label: Leaderboard 1
                    revision: 10
                    date_updated: '2024-05-30 11:10:13'
                    target: '[position="leader_middle"][variant="1"]'
                    target_conditional: ''
                    device_filter:
                      type: include
                      matches: []
                    enabled: true
                    browser_filter:
                      type: include
                      matches: []
                    geo_filter:
                      type: include
                      matches: []
                    region_filter:
                      type: include
                      matches: []
                    audience_filter:
                      type: include
                      matches: []
                    url_filter:
                      matches:
                        - /my-account*
                      type: exclude
                    viewport_filter:
                      type: include
                      matches:
                        - '>1422px'
                    os_filter:
                      type: include
                      matches: []
                    sizes:
                      desktop:
                        - 468x60
                        - 728x90
                      mobile:
                        - 468x60
                        - 728x90
                      tablet:
                        - 468x60
                        - 728x90
                    start: null
                    end: null
                    experiments:
                      - 146
                    floors_model: ci_dynamic
                    floor: 0
                    refresh: true
                    in_view: true
                    custom_kvs: null
                  - id: 8393
                    unit: iab
                    label: Leaderboard 1 (OOV)
                    revision: 10
                    date_updated: '2024-05-30 11:10:13'
                    target: '[position="leader_middle"][variant="1"]'
                    target_conditional: ''
                    device_filter:
                      type: include
                      matches: []
                    enabled: false
                    browser_filter:
                      type: include
                      matches: []
                    geo_filter:
                      type: include
                      matches: []
                    region_filter:
                      type: include
                      matches: []
                    audience_filter:
                      type: include
                      matches: []
                    url_filter:
                      matches:
                        - /my-account*
                      type: exclude
                    viewport_filter:
                      type: include
                      matches:
                        - '>1422px'
                    os_filter:
                      type: include
                      matches: []
                    sizes:
                      desktop:
                        - 468x60
                        - 728x90
                      mobile:
                        - 468x60
                        - 728x90
                      tablet:
                        - 468x60
                        - 728x90
                    start: null
                    end: null
                    experiments:
                      - 146
                    floors_model: ci_dynamic
                    floor: 0
                    refresh: true
                    in_view: false
                    custom_kvs: null
                  - id: 8394
                    unit: adhesion
                    label: Adhesion
                    revision: 10
                    date_updated: '2024-05-30 11:10:13'
                    target: body
                    target_conditional: ''
                    device_filter:
                      type: include
                      matches: []
                    enabled: true
                    browser_filter:
                      type: include
                      matches: []
                    geo_filter:
                      type: include
                      matches: []
                    region_filter:
                      type: include
                      matches: []
                    audience_filter:
                      type: include
                      matches: []
                    url_filter:
                      type: include
                      matches: []
                    viewport_filter:
                      type: include
                      matches: []
                    os_filter:
                      type: include
                      matches: []
                    sizes: null
                    start: null
                    end: null
                    experiments: []
                    floors_model: ci_dynamic
                    floor: 0
                    refresh: true
                    in_view: false
                    custom_kvs: null
                  - id: 8395
                    unit: in-image
                    label: In-Image
                    revision: 10
                    date_updated: '2024-05-30 11:10:13'
                    target: null
                    target_conditional: ''
                    device_filter:
                      type: include
                      matches: []
                    enabled: true
                    browser_filter:
                      type: include
                      matches: []
                    geo_filter:
                      type: include
                      matches: []
                    region_filter:
                      type: include
                      matches: []
                    audience_filter:
                      type: include
                      matches: []
                    url_filter:
                      type: include
                      matches: []
                    viewport_filter:
                      type: include
                      matches: []
                    os_filter:
                      type: include
                      matches: []
                    sizes: null
                    start: null
                    end: null
                    experiments: []
                    floors_model: ci_dynamic
                    floor: 0
                    refresh: null
                    in_view: false
                    custom_kvs: null
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````